/* ---------------------------------------------------------- */
/*  kome_input_drv.h                                          */
/* ---------------------------------------------------------- */

/*------------------------------------------------------------- */
/** @file
    @brief		V850/P4 button driver
    @author		rerofumi
    @since		Jul.25.2007
*/
/*-----------------------------------------------------
 Copyright (C) 2007 rerofumi <rero2@yuumu.org>
 -  Kome wo kame.
 ------------------------------------------------------*/

#ifndef KOME_INPUT_DRV_H
#define KOME_INPUT_DRV_H

#ifndef __SDL__
#pragma ioreg
#endif

/*-------------------------------*/
/* include                       */
/*-------------------------------*/

/*-------------------------------*/
/* define                        */
/*-------------------------------*/

#define  KIN_Up       0x0001
#define  KIN_Down     0x0002
#define  KIN_Left     0x0004
#define  KIN_Right    0x0008
#define  KIN_Button1  0x0010
#define  KIN_Button2  0x0020
#define  KIN_Button3  0x0040
#define  KIN_Button4  0x0080
#define  KIN_Button5  0x0100
#define  KIN_Button6  0x0200
#define  KIN_Button7  0x0400
#define  KIN_Button8  0x0800

/* --- ߂l */
enum {
  INPUT_DONE = 0,
  INPUT_ERROR
};

/*-------------------------------*/
/* struct                        */
/*-------------------------------*/

/*-------------------------------*/
/* prototype                     */
/*-------------------------------*/


//! Input hCȍ
int komeInputInitialize(void);

//! Input hCo̓~
int komeInputStop(void);

//! channel se request
int komeInputRead(int *input);


#endif
