/* ---------------------------------------------------------- */
/*  kome_input_drv.c                                          */
/* ---------------------------------------------------------- */

/*------------------------------------------------------------- */
/** @file
    @brief		V850/P4 input driver
    @author		rerofumi
    @since		Jul.25.2007
*/
/*-----------------------------------------------------
 Copyright (C) 2007 rerofumi <rero2@yuumu.org>
 -  Kome wo kame.
 ------------------------------------------------------*/

/*-------------------------------*/
/* include                       */
/*-------------------------------*/

#include "kome_input_drv.h"


/*-------------------------------*/
/* define                        */
/*-------------------------------*/

/*-------------------------------*/
/* struct                        */
/*-------------------------------*/

/*-------------------------------*/
/* global value                  */
/*-------------------------------*/

/*-------------------------------*/
/* local routine                 */
/*-------------------------------*/

/*-------------------------------*/
/* interrupt vector              */
/*-------------------------------*/

/*-------------------------------*/
/* implementatiion               */
/*-------------------------------*/

/*------------------------------------------------------*/
/* interface                                            */
/*------------------------------------------------------*/

/* --- komeInputInitialize() */
/**
 * CvbghCȍ
 * Ƀ|[gݒ
 * 
 * @return Ȃ AUDIO_DONEAȊOŎs
 *
 */
int komeInputInitialize(void)
{
	/* --- gO{^|[gݒ */
	PM4 = 0xff;

  return(INPUT_DONE);
}


/* --- komeInputStop() */
/**
 * CvbghCo̓~
 * 
 * @return Ȃ AUDIO_DONEAȊOŎs
 *
 */
int komeInputStop(void)
{
  return(INPUT_DONE);
}


/* --- komeInputRead() */
/**
 * Cvbgf[^ǂݎ
 * 
 * @param  input [out] ʂn
 *
 * @return Ȃ INPUT_DONEAȊOŎs
 *
 */
int komeInputRead(int *input)
{
	int  keyin, result;

	keyin = P4;
	result = 0;
	if ((keyin & 0x01) == 0) {
		result |= KIN_Left;
	}
	if ((keyin & 0x02) == 0) {
		result |= KIN_Button1;
	}
	if ((keyin & 0x04) == 0) {
		result |= KIN_Right;
	}
	*input = result;

  return(INPUT_DONE);
}


/*------------------------------------------------------*/
/* Interrupt                                            */
/*------------------------------------------------------*/
/*------------------------------------------------------*/
/* Local routine                                        */
/*------------------------------------------------------*/
